<?php

namespace Litecms\Product;

use User;

class Product
{
    /**
     * $product_category object.
     */
    protected $product_category;    /**
     * $product object.
     */
    protected $product;    /**
     * $product_subcategory object.
     */
    protected $product_subcategory;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Product\Interfaces\ProductCategoryRepositoryInterface $product_category,        \Litecms\Product\Interfaces\ProductRepositoryInterface $product,        \Litecms\Product\Interfaces\ProductSubcategoryRepositoryInterface $product_subcategory)
    {
        $this->product_category = $product_category;        $this->product = $product;        $this->product_subcategory = $product_subcategory;
    }

    /**
     * Returns count of product.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.product_category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->product_category->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ProductCategoryUserCriteria());
        }

        $product_category = $this->product_category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('product::' . $view, compact('product_category'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.product.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->product->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ProductUserCriteria());
        }

        $product = $this->product->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('product::' . $view, compact('product'))->render();
    }    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.product_subcategory.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->product_subcategory->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\ProductSubcategoryUserCriteria());
        }

        $product_subcategory = $this->product_subcategory->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('product::' . $view, compact('product_subcategory'))->render();
    }
}
