<?php

namespace Litecms\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductCategoryTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Product\Models\ProductCategory $product_category)
    {
        return [
            'id'                => $product_category->getRouteKey(),
            'key'               => [
                'public'    => $product_category->getPublicKey(),
                'route'     => $product_category->getRouteKey(),
            ], 
            'id'                => $product_category->id,
            'name'              => $product_category->name,
            'slug'              => $product_category->slug,
            'image'             => $product_category->image,
            'status'            => $product_category->status,
            'user_type'         => $product_category->user_type,
            'user_id'           => $product_category->user_id,
            'upload_folder'     => $product_category->upload_folder,
            'deleted_at'        => $product_category->deleted_at,
            'created_at'        => $product_category->created_at,
            'updated_at'        => $product_category->updated_at,
            'url'               => [
                'public'    => trans_url('product/'.$product_category->getPublicKey()),
                'user'      => guard_url('product/product_category/'.$product_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product_category->status),
            'created_at'        => format_date($product_category->created_at),
            'updated_at'        => format_date($product_category->updated_at),
        ];
    }
}