<?php

namespace Litecms\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductSubcategoryTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Product\Models\ProductSubcategory $product_subcategory)
    {
        return [
            'id'                => $product_subcategory->getRouteKey(),
            'key'               => [
                'public'    => $product_subcategory->getPublicKey(),
                'route'     => $product_subcategory->getRouteKey(),
            ], 
            'id'                => $product_subcategory->id,
            'cat_id'            => $product_subcategory->cat_id,
            'name'              => $product_subcategory->name,
            'slug'              => $product_subcategory->slug,
            'price'             => $product_subcategory->price,
            'image'             => $product_subcategory->image,
            'status'            => $product_subcategory->status,
            'user_type'         => $product_subcategory->user_type,
            'user_id'           => $product_subcategory->user_id,
            'upload_folder'     => $product_subcategory->upload_folder,
            'deleted_at'        => $product_subcategory->deleted_at,
            'created_at'        => $product_subcategory->created_at,
            'updated_at'        => $product_subcategory->updated_at,
            'url'               => [
                'public'    => trans_url('product/'.$product_subcategory->getPublicKey()),
                'user'      => guard_url('product/product_subcategory/'.$product_subcategory->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product_subcategory->status),
            'created_at'        => format_date($product_subcategory->created_at),
            'updated_at'        => format_date($product_subcategory->updated_at),
        ];
    }
}